## libmirage 3.2.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
project(libmirage VERSION 3.2.7 LANGUAGES C)

# Semantic versioning 2.0.0 (semver.org):
# MAJOR is increased when backwards-incompatible changes are made to
# the API (e.g., removal of interfaces). In this case, MINOR and PATCH
# should be reset to zero.
# MINOR is increased when features are added to the API (e.g., addition
# of interfaces). In this case, PATCH should be reset to zero.
# PATCH is increased for all other changes such as bug-fixes.
set(MIRAGE_SOVERSION_MAJOR 11)
set(MIRAGE_SOVERSION_MINOR 0)
set(MIRAGE_SOVERSION_PATCH 0)

# Additional CMake modules
list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

# CMake modules
include(GNUInstallDirs)

# Options
option(GTKDOC_ENABLED "Use gtk-doc to build documentation" ON)
option(INTROSPECTION_ENABLED "Generate gobject introspection files" ON)
option(VAPI_ENABLED "Generate the Vala API file" ON)
option(POST_INSTALL_HOOKS "Run post-install hooks" ON)

# Plugin directory
set(MIRAGE_PLUGIN_DIR "${CMAKE_INSTALL_FULL_LIBDIR}/libmirage-${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}" CACHE PATH "Path to libMirage plugin directory." FORCE)

# Dependencies
find_package(PkgConfig 0.16 REQUIRED)
find_package(IntlTool 0.21 REQUIRED)
find_package(Gettext 0.15 REQUIRED)

pkg_check_modules(GLIB REQUIRED glib-2.0>=2.38 gobject-2.0>=2.38 gmodule-2.0>=2.38 gio-2.0>=2.38 IMPORTED_TARGET)

if(INTROSPECTION_ENABLED)
    pkg_check_modules(INTROSPECTION gobject-introspection-1.0>=1.30.0)
    if(INTROSPECTION_FOUND)
        include(GObjectIntrospection)
        set(INTROSPECTION_STATUS "ON")
    else()
        set(INTROSPECTION_STATUS "OFF (not found)")
    endif()
else()
    set(INTROSPECTION_STATUS "OFF (disabled)")
endif()

if(VAPI_ENABLED)
    if(NOT (INTROSPECTION_ENABLED AND INTROSPECTION_FOUND))
        set(VAPI_STATUS "OFF (introspection disabled)")
    else()
        find_program(VALAC valac DOC "the Vala compiler")
        find_program(VAPIGEN vapigen DOC "tool to generate the Vala API")
        if(VALAC AND VAPIGEN)
            include(GObjectIntrospection)
            set(VAPI_STATUS "ON")
        else()
            set(VAPI_STATUS "OFF (not found)")
        endif()
    endif()
else()
    set(VAPI_STATUS "OFF (disabled)")
endif()

if(GTKDOC_ENABLED)
    pkg_check_modules(GTKDOC gtk-doc>=1.4)
    if(GTKDOC_FOUND)
        include(GtkDoc)
        set(GTKDOC_STATUS "ON")
    else()
        set(GTKDOC_STATUS "OFF (not found)")
    endif()
else()
    set(GTKDOC_STATUS "OFF (disabled)")
endif()

if(POST_INSTALL_HOOKS)
    find_program(UPDATE_MIME_DATABASE_EXECUTABLE NAMES update-mime-database)
    mark_as_advanced(UPDATE_MIME_DATABASE_EXECUTABLE)
endif()


# Auto-generated files
configure_file(${PROJECT_SOURCE_DIR}/mirage/config.h.in ${PROJECT_BINARY_DIR}/mirage/config.h)
configure_file(${PROJECT_SOURCE_DIR}/mirage/version.h.in ${PROJECT_BINARY_DIR}/mirage/version.h)
configure_file(${PROJECT_SOURCE_DIR}/reference/version.xml.in ${PROJECT_BINARY_DIR}/reference/version.xml)
configure_file(${PROJECT_SOURCE_DIR}/libmirage.pc.in ${PROJECT_BINARY_DIR}/libmirage.pc @ONLY)

# Global definitions
set(CMAKE_C_STANDARD 99) # Enable C99
if(CMAKE_COMPILER_IS_GNUCC)
    # Enable additional warnings
    add_definitions(-Wall -Wextra -Wshadow -Wmissing-declarations -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wcast-align)
    add_definitions(-Wno-sign-compare)
    add_definitions(-Wno-cast-function-type)
endif()

# *** libMirage core library ***
set(libmirage_HEADERS
    mirage/mirage.h
    mirage/cdtext-coder.h
#    mirage/compat-input-stream.h
    mirage/context.h
    mirage/contextual.h
    mirage/debug.h
    mirage/disc.h
    mirage/error.h
    mirage/file-stream.h
    mirage/filter-stream.h
    mirage/fragment.h
    mirage/index.h
    mirage/language.h
    mirage/object.h
    mirage/parser.h
    mirage/plugin.h
    mirage/sector.h
    mirage/session.h
    mirage/stream.h
    mirage/track.h
    mirage/types.h
    mirage/utils.h
    mirage/writer.h
    ${PROJECT_BINARY_DIR}/mirage/version.h
#    ${PROJECT_BINARY_DIR}/mirage/config.h
)

set(libmirage_SOURCES
    mirage/mirage.c
    mirage/cdtext-coder.c
    mirage/compat-input-stream.c
    mirage/context.c
    mirage/contextual.c
    mirage/disc.c
    mirage/error.c
    mirage/file-stream.c
    mirage/filter-stream.c
    mirage/fragment.c
    mirage/index.c
    mirage/language.c
    mirage/object.c
    mirage/parser.c
    mirage/plugin.c
    mirage/sector.c
    mirage/session.c
    mirage/stream.c
    mirage/track.c
    mirage/utils.c
    mirage/version.c
    mirage/writer.c
)

add_library(mirage SHARED ${libmirage_SOURCES})

target_include_directories(mirage PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
    $<INSTALL_INTERFACE:include/libmirage-${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}>)

target_link_libraries(mirage PUBLIC PkgConfig::GLIB)

set_target_properties(mirage PROPERTIES
    LIBRARY_OUTPUT_NAME mirage
    VERSION ${MIRAGE_SOVERSION_MAJOR}.${MIRAGE_SOVERSION_MINOR}.${MIRAGE_SOVERSION_PATCH}
    SOVERSION ${MIRAGE_SOVERSION_MAJOR}
)

install(TARGETS mirage DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES ${libmirage_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/libmirage-${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}/mirage)

# Translations; we use the version provided by our FindIntlTool.cmake
# instead of the gettext version... Note: first two arguments are mandatory,
# the rest is an optional list of languages to process. If no languages
# are given, all POs are processed.
intltool_process_po_files(${PROJECT_SOURCE_DIR}/po ${PROJECT_NAME})

# *** Introspection ***
if(INTROSPECTION_ENABLED AND INTROSPECTION_FOUND)
    gobject_introspection(
        FILENAME Mirage-${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.gir
        NSVERSION ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}
        INCLUDES GObject-2.0 Gio-2.0 GLib-2.0 GModule-2.0
        LIBRARY mirage
        QUIET
        SCANNER_ARGS --c-include=mirage/mirage.h --warn-all
        COMPILER_ARGS --includedir=${PROJECT_SOURCE_DIR} --includedir=${PROJECT_BINARY_DIR}
        CFLAGS -I${PROJECT_SOURCE_DIR} -I${PROJECT_BINARY_DIR}
        SYMBOL_PREFIXES mirage
        IDENTIFIER_PREFIXES Mirage
        SOURCES ${libmirage_SOURCES} ${libmirage_HEADERS}
    )
endif()

# *** Vala API ***
if(INTROSPECTION_ENABLED AND INTROSPECTION_FOUND AND VALAC AND VAPIGEN)
    add_custom_target(vala ALL)
    set(gir_fullname ${CMAKE_BINARY_DIR}/Mirage-${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.gir)
    set(vapi_file ${CMAKE_CURRENT_BINARY_DIR}/libmirage.vapi)

    add_custom_command(OUTPUT ${vapi_file}
        COMMAND ${VAPIGEN}
            --vapidir=${CMAKE_CURRENT_SOURCE_DIR}
            --vapidir=${CMAKE_CURRENT_BINARY_DIR}
            --girdir=${CMAKE_BINARY_DIR}/src/libmirage
            --pkg gio-2.0
            --library libmirage
            --metadatadir=${CMAKE_CURRENT_SOURCE_DIR}
            --metadatadir=${CMAKE_CURRENT_BINARY_DIR}
            ${gir_fullname}
        DEPENDS
            ${gir_fullname}
    )

    add_custom_target(valafile DEPENDS ${vapi_file})

    add_dependencies(vala valafile)

    install(FILES ${vapi_file} DESTINATION ${CMAKE_INSTALL_DATADIR}/vala/vapi)
endif ()

# *** Documentation ***
if(GTKDOC_ENABLED AND GTKDOC_FOUND)
    get_target_property(GTKDOC_LIB mirage LIBRARY_OUTPUT_NAME)
    gtk_doc(
        MODULE ${PROJECT_NAME}
        MAIN_SGML_FILE ${PROJECT_NAME}-docs.sgml
        SOURCE_DIR ${PROJECT_SOURCE_DIR}/mirage ${PROJECT_BINARY_DIR}/mirage
        SOURCES ${libmirage_HEADERS} ${libmirage_SOURCES}
        DOCS_DIR ${PROJECT_SOURCE_DIR}/reference
        IGNORE_HFILES compat-input-stream.h config.h
        CFLAGS ${GLIB_CFLAGS}
        LDFLAGS ${GLIB_LDFLAGS} -L${PROJECT_BINARY_DIR}
            -Wl,-rpath,${PROJECT_BINARY_DIR} -l${GTKDOC_LIB}
    )
endif()

# *** Pkg-config ***
install(FILES ${PROJECT_BINARY_DIR}/libmirage.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

# *** Filters ***
file(GLOB filters RELATIVE ${PROJECT_SOURCE_DIR}/filters/ ${PROJECT_SOURCE_DIR}/filters/*)
foreach(filter ${filters})
    string(REGEX REPLACE "^filter-" "" filter_name ${filter})
    list(FIND FILTERS_DISABLED ${filter_name} filter_disabled)
    if(filter_disabled EQUAL -1)
        add_subdirectory(filters/filter-${filter_name})
    endif()
endforeach()
if(FILTERS_ENABLED)
    list(SORT FILTERS_ENABLED)
endif()
if(FILTERS_DISABLED)
    list(SORT FILTERS_DISABLED)
endif()

# *** Images ***
file(GLOB images RELATIVE ${PROJECT_SOURCE_DIR}/images/ ${PROJECT_SOURCE_DIR}/images/*)
foreach(image ${images})
    string(REGEX REPLACE "^image-" "" image_name ${image})
    list(FIND IMAGE_FORMATS_DISABLED ${image_name} image_disabled)
    if(image_disabled EQUAL -1)
        add_subdirectory(images/image-${image_name})
    endif()
endforeach()
if(IMAGE_FORMATS_ENABLED)
    list(SORT IMAGE_FORMATS_ENABLED)
endif()
if(IMAGE_FORMATS_DISABLED)
    list(SORT IMAGE_FORMATS_DISABLED)
endif()

# *** Configuration summary ***
message(STATUS "")
message(STATUS "*** libMirage v.${PROJECT_VERSION} configuration summary ***")
message(STATUS "Compiler and build info:")
message(STATUS " C compiler: " ${CMAKE_C_COMPILER} ${CMAKE_C_COMPILER_ARG1})
message(STATUS " C flags (Release): " ${CMAKE_C_FLAGS} ${CMAKE_C_FLAGS_RELEASE})
message(STATUS " C flags (Debug): " ${CMAKE_C_FLAGS} ${CMAKE_C_FLAGS_DEBUG})
message(STATUS " build type: " ${CMAKE_BUILD_TYPE})
message(STATUS "Installation:")
message(STATUS " install prefix: " ${CMAKE_INSTALL_PREFIX})
message(STATUS " plugin dir: " ${MIRAGE_PLUGIN_DIR})
message(STATUS "File filters:")
message(STATUS " enabled: ${FILTERS_ENABLED}")
message(STATUS " disabled: ${FILTERS_DISABLED}")
message(STATUS "Image formats:")
message(STATUS " enabled: ${IMAGE_FORMATS_ENABLED}")
message(STATUS " disabled: ${IMAGE_FORMATS_DISABLED}")
message(STATUS "Options:")
message(STATUS " build gtk-doc documentation: " ${GTKDOC_STATUS})
message(STATUS " build gobject-introspection bindings: " ${INTROSPECTION_STATUS})
message(STATUS " build Vala bindings: " ${VAPI_STATUS})
message(STATUS " run post-install hooks: " ${POST_INSTALL_HOOKS})
message(STATUS "")

=== debian/changelog ===
libmirage (1:3.2.7-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Remove dmo branding.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 04 Mar 2024 21:35:59 -0800

libmirage-dmo (1:3.2.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 30 Nov 2023 00:27:39 +0100

libmirage-dmo (1:3.2.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Dec 2021 09:10:07 +0100

libmirage-dmo (1:3.2.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Apr 2021 13:43:39 +0200

libmirage-dmo (1:3.2.4-dmo2) unstable; urgency=medium

  * Fix build with GCC 10

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Apr 2021 11:15:44 +0200

libmirage-dmo (1:3.2.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 Jan 2020 08:54:49 +0100

libmirage-dmo (1:3.2.3-dmo3) unstable; urgency=medium

  * Add Multi-Arch support

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 10 Oct 2019 08:46:18 +0200

libmirage-dmo (1:3.2.3-dmo2) unstable; urgency=medium

  * FIx doc-base path.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 28 Aug 2019 08:40:08 +0200

libmirage-dmo (1:3.2.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 28 Aug 2019 08:00:22 +0200

libmirage-dmo (1:3.2.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Mar 2019 08:16:17 +0100

libmirage-dmo (1:3.2.1-dmo1) unstable; urgency=medium

  * New upstream release.
  * Rename gir1.2-mirage --> gir1.2-mirage-3.2

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Mar 2019 08:47:18 +0100

libmirage-dmo (1:3.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 08 Jul 2018 14:37:09 +0200

libmirage-dmo (1:3.1.0-dmo2) unstable; urgency=medium

  * Add intltool in Build-Depends

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 16 Jun 2017 10:06:03 +0200

libmirage-dmo (1:3.1.0-dmo1) unstable; urgency=medium

  * New upstream release.
  * Remove version from these packages :
    gir1.2-mirage-3.0 --> gir1.2-mirage
    libmirage10-dev --> libmirage-dev
    libmirage10-doc --> libmirage-doc
  * Move all plugins to a new package (libmirage-plugin).

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 11 Jun 2017 10:25:35 +0200

libmirage-dmo (1:3.0.5~repack-dmo2) unstable; urgency=medium

  * Remove libmirage10.symbols file

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Oct 2016 18:13:26 +0200

libmirage-dmo (1:3.0.5~repack-dmo1) unstable; urgency=medium

  * Repack upstream tarball.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Oct 2016 13:06:28 +0200

libmirage-dmo (3.0.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Oct 2016 12:41:03 +0200

libmirage-dmo (3.0.4-dmo2) unstable; urgency=medium

  * Remove -dbg package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 01 Mar 2016 09:22:54 +0100

libmirage-dmo (3.0.4-dmo1) unstable; urgency=medium

  * Upload to my repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Jan 2016 09:13:37 +0100

libmirage (3.0.4-1) debian; urgency=low

  * Updated to 3.0.4

 -- Rok Mandeljc <rok.mandeljc@gmail.com>  Sat, 21 Nov 2015 12:00:00 +0100

libmirage (3.0.3-1) debian; urgency=low

  * Initial Release. Closes: #705409

 -- Henrik Stokseth <henrik@hshq.net>  Sat, 05 Apr 2014 12:00:00 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DPOST_INSTALL_HOOKS=OFF

override_dh_auto_test:

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4

https://sourceforge.net/projects/cdemu/files/libmirage/ \
(?:.*)libmirage-@ANY_VERSION@@ARCHIVE_EXT@/download

## libmirage 3.2.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.7)
-project(libmirage VERSION 3.2.7 LANGUAGES C)
+project(libmirage VERSION 3.2.8 LANGUAGES C)
 
 # Semantic versioning 2.0.0 (semver.org):
 # MAJOR is increased when backwards-incompatible changes are made to

=== debian/changelog ===
libmirage (3.2.8-1) unstable; urgency=medium

  * New upstream version.
  * debian/control:
    - Add Provides: gir1.2-mirage-3.2-dev (= ${binary:Version}), to fix
      Lintian gir-package-name-does-not-match warning.

 -- Matteo Bini <matteobin@tiepi.it>  Sat, 03 Aug 2024 08:16:11 +0200

libmirage (3.2.7-5) unstable; urgency=medium

  * debian/rules:
    - Disable gtk-doc on arch-only build (closes: #1072160). Thanks to
      Helmut Grohne <helmut@subdivi.de> for the patch.

 -- Matteo Bini <matteobin@tiepi.it>  Sun, 23 Jun 2024 11:49:22 +0200

libmirage (3.2.7-4) unstable; urgency=medium

  * debian/appstream/net.sf.cdemu.libmirage.metainfo.xml:
    - Add developer.
  * debian/control:
    - Bump Standards-Version to 4.7.0.
  * debian/source/lintian-overrides:
    - Add missing-build-dependency-for-dh-addon.

 -- Matteo Bini <matteobin@tiepi.it>  Sat, 25 May 2024 12:55:24 +0200

libmirage (3.2.7-3) unstable; urgency=low

  * debian/control:
    - Add Multi-Arch: same to gir1.2-mirage-3.2.

 -- Matteo Bini <matteobin@tiepi.it>  Thu, 21 Mar 2024 13:23:51 +0100

libmirage (3.2.7-2) unstable; urgency=low

  * debian/control:
    - Add Multi-Arch: foreign to libmirage-doc and Multi-Arch: same to
      libmirage11.

 -- Matteo Bini <matteobin@tiepi.it>  Sun, 10 Mar 2024 14:51:34 +0100

libmirage (3.2.7-1) unstable; urgency=low

  * Initial release, closes: #983444.

 -- Matteo Bini <matteobin@tiepi.it>  Tue, 20 Feb 2024 16:56:31 +0100

## libmirage 3.2.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.7)
-project(libmirage VERSION 3.2.8 LANGUAGES C)
+project(libmirage VERSION 3.2.9 LANGUAGES C)
 
 # Semantic versioning 2.0.0 (semver.org):
 # MAJOR is increased when backwards-incompatible changes are made to

=== filters/filter-cso/CMakeLists.txt ===
set(filter_short "cso")
set(filter_name "filter-${filter_short}")

project(${filter_name} LANGUAGES C)

# Dependencies
find_package(ZLIB 1.2.4 QUIET)

# Build
if(ZLIB_FOUND)
    # Filter
    add_library(${filter_name} MODULE
        filter-stream.c
        plugin.c
    )
    target_link_libraries(${filter_name} PRIVATE mirage)
    target_link_libraries(${filter_name} PRIVATE ZLIB::ZLIB)

    # Disable library prefix
    set_target_properties(${filter_name} PROPERTIES PREFIX "")

    # Install
    install(TARGETS ${filter_name} DESTINATION ${MIRAGE_PLUGIN_DIR})

    # Install MIME type
    intltool_merge("-x" ${CMAKE_SOURCE_DIR}/po ${PROJECT_SOURCE_DIR}/libmirage-${filter_short}.xml.in libmirage-${filter_short}.xml)

    install(FILES ${PROJECT_BINARY_DIR}/libmirage-${filter_short}.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages)
    if(POST_INSTALL_HOOKS)
        install(CODE "execute_process (COMMAND ${UPDATE_MIME_DATABASE_EXECUTABLE} ${CMAKE_INSTALL_FULL_DATADIR}/mime)")
    endif ()

    # Add to list of enabled filters
    list(APPEND FILTERS_ENABLED ${filter_short})
    set(FILTERS_ENABLED ${FILTERS_ENABLED} PARENT_SCOPE)
else()
    # Add to list of disabled filters
    list(APPEND FILTERS_DISABLED ${filter_short})
    set(FILTERS_DISABLED ${FILTERS_DISABLED} PARENT_SCOPE)
endif()

=== filters/filter-isz/CMakeLists.txt ===
set(filter_short "isz")
set(filter_name "filter-${filter_short}")

project(${filter_name} LANGUAGES C)

# Dependencies
find_package(ZLIB 1.2.4)
find_package(BZip2 1.0.0)

# Build
if(ZLIB_FOUND AND BZIP2_FOUND)
    # Filter
    add_library(${filter_name} MODULE
        filter-stream.c
        plugin.c
    )
    target_link_libraries(${filter_name} PRIVATE mirage)
    target_link_libraries(${filter_name} PRIVATE BZip2::BZip2)
    target_link_libraries(${filter_name} PRIVATE ZLIB::ZLIB)

    # On OS X, we need to explicitly enable dynamic resolving of undefined symbols
    if(APPLE)
        target_link_libraries(${filter_name} "-undefined dynamic_lookup")
    endif()

    # Disable library prefix
    set_target_properties(${filter_name} PROPERTIES PREFIX "")

    # Install
    install(TARGETS ${filter_name} DESTINATION ${MIRAGE_PLUGIN_DIR})

    # Install MIME type
    intltool_merge("-x" ${CMAKE_SOURCE_DIR}/po ${PROJECT_SOURCE_DIR}/libmirage-${filter_short}.xml.in libmirage-${filter_short}.xml)

    install(FILES ${PROJECT_BINARY_DIR}/libmirage-${filter_short}.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages)
    if(POST_INSTALL_HOOKS)
        install(CODE "execute_process (COMMAND ${UPDATE_MIME_DATABASE_EXECUTABLE} ${CMAKE_INSTALL_FULL_DATADIR}/mime)")
    endif()

    # Add to list of enabled filters
    list(APPEND FILTERS_ENABLED ${filter_short})
    set(FILTERS_ENABLED ${FILTERS_ENABLED} PARENT_SCOPE)
else()
    # Add to list of disabled filters
    list(APPEND FILTERS_DISABLED ${filter_short})
    set(FILTERS_DISABLED ${FILTERS_DISABLED} PARENT_SCOPE)
endif()

=== images/image-ccd/CMakeLists.txt ===
set(image_short "ccd")
set(image_name "image-${image_short}")

project(${image_name} LANGUAGES C)

# Build
if(TRUE)
    add_library(${image_name} MODULE
        parser.c
        plugin.c
    )
    target_link_libraries(${image_name} PRIVATE mirage)

    # Disable library prefix
    set_target_properties(${image_name} PROPERTIES PREFIX "")

    # Install
    install(TARGETS ${image_name} DESTINATION ${MIRAGE_PLUGIN_DIR})

    # Install MIME type
    intltool_merge("-x" ${CMAKE_SOURCE_DIR}/po ${PROJECT_SOURCE_DIR}/libmirage-${image_short}.xml.in libmirage-${image_short}.xml)

    install(FILES ${PROJECT_BINARY_DIR}/libmirage-${image_short}.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages)
    if(POST_INSTALL_HOOKS)
        install(CODE "execute_process (COMMAND ${UPDATE_MIME_DATABASE_EXECUTABLE} ${CMAKE_INSTALL_FULL_DATADIR}/mime)")
    endif()

    # Add to list of enabled image formats
    list(APPEND IMAGE_FORMATS_ENABLED ${image_short})
    set(IMAGE_FORMATS_ENABLED ${IMAGE_FORMATS_ENABLED} PARENT_SCOPE)
else()
    # Add to list of disabled image formats
    list(APPEND IMAGE_FORMATS_DISABLED ${image_short})
    set(IMAGE_FORMATS_DISABLED ${IMAGE_FORMATS_DISABLED} PARENT_SCOPE)
endif()

=== images/image-cdi/CMakeLists.txt ===
set(image_short "cdi")
set(image_name "image-${image_short}")

project(${image_name} LANGUAGES C)

# Build
if(TRUE)
    add_library(${image_name} MODULE
        parser.c
        plugin.c
    )
    target_link_libraries(${image_name} PRIVATE mirage)

    # Disable library prefix
    set_target_properties(${image_name} PROPERTIES PREFIX "")

    # Install
    install(TARGETS ${image_name} DESTINATION ${MIRAGE_PLUGIN_DIR})

    # Install MIME type
    intltool_merge("-x" ${CMAKE_SOURCE_DIR}/po ${PROJECT_SOURCE_DIR}/libmirage-${image_short}.xml.in libmirage-${image_short}.xml)

    install(FILES ${PROJECT_BINARY_DIR}/libmirage-${image_short}.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages)
    if(POST_INSTALL_HOOKS)
        install(CODE "execute_process (COMMAND ${UPDATE_MIME_DATABASE_EXECUTABLE} ${CMAKE_INSTALL_FULL_DATADIR}/mime)")
    endif()

    # Add to list of enabled image formats
    list(APPEND IMAGE_FORMATS_ENABLED ${image_short})
    set(IMAGE_FORMATS_ENABLED ${IMAGE_FORMATS_ENABLED} PARENT_SCOPE)
else()
    # Add to list of disabled image formats
    list(APPEND IMAGE_FORMATS_DISABLED ${image_short})
    set(IMAGE_FORMATS_DISABLED ${IMAGE_FORMATS_DISABLED} PARENT_SCOPE)
endif()

=== images/image-harddisk/CMakeLists.txt ===
set(image_short "harddisk")
set(image_name "image-${image_short}")

project(${image_name} LANGUAGES C)

# Build
if(TRUE)
    add_library(${image_name} MODULE
        parser.c
        partition-tables.c
        plugin.c
    )
    target_link_libraries(${image_name} PRIVATE mirage)

    # On OS X, we need to explicitly enable dynamic resolving of undefined symbols
    if(APPLE)
        target_link_libraries(${image_name} "-undefined dynamic_lookup")
    endif()

    # Disable library prefix
    set_target_properties(${image_name} PROPERTIES PREFIX "")

    # Install
    install(TARGETS ${image_name} DESTINATION ${MIRAGE_PLUGIN_DIR})

    # Install MIME type
    intltool_merge("-x" ${CMAKE_SOURCE_DIR}/po ${PROJECT_SOURCE_DIR}/libmirage-apple.xml.in libmirage-apple.xml)

    install(FILES ${PROJECT_BINARY_DIR}/libmirage-apple.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages)
    if(POST_INSTALL_HOOKS)
        install(CODE "execute_process (COMMAND ${UPDATE_MIME_DATABASE_EXECUTABLE} ${CMAKE_INSTALL_FULL_DATADIR}/mime)")
    endif()

    # Add to list of enabled image formats
    list(APPEND IMAGE_FORMATS_ENABLED ${image_short})
    set(IMAGE_FORMATS_ENABLED ${IMAGE_FORMATS_ENABLED} PARENT_SCOPE)
else()
    # Add to list of disabled image formats
    list(APPEND IMAGE_FORMATS_DISABLED ${image_short})
    set(IMAGE_FORMATS_DISABLED ${IMAGE_FORMATS_DISABLED} PARENT_SCOPE)
endif()

=== images/image-iso/CMakeLists.txt ===
set(image_short "iso")
set(image_name "image-${image_short}")

project(${image_name} LANGUAGES C)

# Build
if(TRUE)
    add_library(${image_name} MODULE
        parser.c
        plugin.c
        writer.c
    )
    target_link_libraries(${image_name} PRIVATE mirage)

    # Disable library prefix
    set_target_properties(${image_name} PROPERTIES PREFIX "")

    # Install
    install(TARGETS ${image_name} DESTINATION ${MIRAGE_PLUGIN_DIR})

    # Add to list of enabled image formats
    list(APPEND IMAGE_FORMATS_ENABLED ${image_short})
    set(IMAGE_FORMATS_ENABLED ${IMAGE_FORMATS_ENABLED} PARENT_SCOPE)
else()
    # Add to list of disabled image formats
    list(APPEND IMAGE_FORMATS_DISABLED ${image_short})
    set(IMAGE_FORMATS_DISABLED ${IMAGE_FORMATS_DISABLED} PARENT_SCOPE)
endif()

=== images/image-xcdroast/CMakeLists.txt ===
set(image_short "xcdroast")
set(image_name "image-${image_short}")

project(${image_name} LANGUAGES C)

# Build
if(TRUE)
    add_library(${image_name} MODULE
        parser.c
        plugin.c
    )
    target_link_libraries(${image_name} PRIVATE mirage)

    # Disable library prefix
    set_target_properties(${image_name} PROPERTIES PREFIX "")

    # Install
    install(TARGETS ${image_name} DESTINATION ${MIRAGE_PLUGIN_DIR})

    # Install MIME type
    intltool_merge("-x" ${CMAKE_SOURCE_DIR}/po ${PROJECT_SOURCE_DIR}/libmirage-${image_short}.xml.in libmirage-${image_short}.xml)

    install(FILES ${PROJECT_BINARY_DIR}/libmirage-${image_short}.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages)
    if(POST_INSTALL_HOOKS)
        install(CODE "execute_process (COMMAND ${UPDATE_MIME_DATABASE_EXECUTABLE} ${CMAKE_INSTALL_FULL_DATADIR}/mime)")
    endif()

    # Add to list of enabled image formats
    list(APPEND IMAGE_FORMATS_ENABLED ${image_short})
    set(IMAGE_FORMATS_ENABLED ${IMAGE_FORMATS_ENABLED} PARENT_SCOPE)
else()
    # Add to list of disabled image formats
    list(APPEND IMAGE_FORMATS_DISABLED ${image_short})
    set(IMAGE_FORMATS_DISABLED ${IMAGE_FORMATS_DISABLED} PARENT_SCOPE)
endif()

=== debian/changelog ===
libmirage (3.2.9-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 17 Oct 2024 16:41:21 -0700

libmirage (3.2.9-1) unstable; urgency=medium

  * New upstream version.

 -- Matteo Bini <matteobin@tiepi.it>  Fri, 11 Oct 2024 09:09:37 +0200

=== debian/control ===
Source: libmirage
Section: libs
Priority: optional
Homepage: https://cdemu.sourceforge.io/
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Matteo Bini <matteobin@tiepi.it>
Build-Depends: cmake (>= 3.7.0),
               debhelper-compat (= 13),
               gobject-introspection,
               gtk-doc-tools,
               intltool,
               libbz2-dev,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.38),
               liblzma-dev,
               libsamplerate0-dev,
               libsndfile1-dev,
               pkgconf,
               zlib1g-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no

Package: libmirage11
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libmirage10, libmirage9
Replaces: libmirage10, libmirage9
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: CD-ROM image access library
 This is libMirage library, a CD-ROM image access library, and part of the
 CDEmu suite, a free, GPL CD/DVD-ROM device emulator for Linux. It is
 written in C and based on GLib.
 .
 The aim of libMirage is to provide uniform access to the data stored in
 different image formats, by creating a representation of disc stored in image
 file, which is based on GObjects.

Package: gir1.2-mirage-3.2
Section: introspection
Architecture: any
Multi-Arch: same
Conflicts: gir1.2-mirage-3.1
Replaces: gir1.2-mirage-3.1
Depends: libmirage11 (= ${binary:Version}), ${gir:Depends}, ${misc:Depends}
Description: CD-ROM image access library (typelib files)
 libMirage is a CD-ROM image access library, part of the CDEmu suite,
 a free, GPL CD/DVD-ROM device emulator for Linux.
 .
 This package provides typelib files.

Package: libmirage-dev
Section: libdevel
Architecture: any
Provides: gir1.2-mirage-3.2-dev (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Depends: gir1.2-mirage-3.2 (= ${binary:Version}),
         libmirage11 (= ${binary:Version}),
         ${misc:Depends}
Description: CD-ROM image access library development files
 libMirage is a CD-ROM image access library, part of the CDEmu suite,
 a free, GPL CD/DVD-ROM device emulator for Linux.
 .
 This package contains the files needed to compile and link programs which
 use libMirage.

Package: libmirage-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: devhelp
Multi-Arch: foreign
Description: Reference manual for libMirage
 libMirage is a CD-ROM image access library, part of the CDEmu suite,
 a free, GPL CD/DVD-ROM device emulator for Linux.
 .
 This package contains the reference manual.

## libmirage 3.2.10

=== filters/filter-daa/CMakeLists.txt ===
set(filter_short "daa")
set(filter_name "filter-${filter_short}")

project(${filter_name} LANGUAGES C)

# Dependencies
find_package(ZLIB 1.2.4 QUIET)

# Build
if(ZLIB_FOUND)
    # Filter
    add_library(${filter_name} MODULE
        filter-stream.c
        plugin.c
        lzma-sdk/Bra86.c
        lzma-sdk/LzmaDec.c
    )
    target_link_libraries(${filter_name} PRIVATE mirage)
    target_link_libraries(${filter_name} PRIVATE ZLIB::ZLIB)

    target_include_directories(${filter_name} PRIVATE lzma-sdk)

    # Disable library prefix
    set_target_properties(${filter_name} PROPERTIES PREFIX "")

    # Install
    install(TARGETS ${filter_name} DESTINATION ${MIRAGE_PLUGIN_DIR})

    # Install MIME type
    intltool_merge("-x" ${CMAKE_SOURCE_DIR}/po ${PROJECT_SOURCE_DIR}/libmirage-${filter_short}.xml.in libmirage-${filter_short}.xml)
    intltool_merge("-x" ${CMAKE_SOURCE_DIR}/po ${PROJECT_SOURCE_DIR}/libmirage-gbi.xml.in libmirage-gbi.xml)

    install(FILES ${PROJECT_BINARY_DIR}/libmirage-${filter_short}.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages)
    install(FILES ${PROJECT_BINARY_DIR}/libmirage-gbi.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages)
    if(POST_INSTALL_HOOKS)
        install(CODE "execute_process (COMMAND ${UPDATE_MIME_DATABASE_EXECUTABLE} ${CMAKE_INSTALL_FULL_DATADIR}/mime)")
    endif()

    # Add to list of enabled filters
    list(APPEND FILTERS_ENABLED ${filter_short})
    set(FILTERS_ENABLED ${FILTERS_ENABLED} PARENT_SCOPE)
else()
    # Add to list of disabled filters
    list(APPEND FILTERS_DISABLED ${filter_short})
    set(FILTERS_DISABLED ${FILTERS_DISABLED} PARENT_SCOPE)
endif()

=== filters/filter-dmg/CMakeLists.txt ===
set(filter_short "dmg")
set(filter_name "filter-${filter_short}")

project(${filter_name} LANGUAGES C)

# Dependencies
find_package(ZLIB 1.2.4 QUIET)
find_package(BZip2 1.0.0 QUIET)

# Build
if(ZLIB_FOUND AND BZIP2_FOUND)
    # Filter
    add_library(${filter_name} MODULE
        adc.c
        filter-stream.c
        plugin.c
        resource-fork.c
    )
    target_link_libraries(${filter_name} PRIVATE mirage)
    target_link_libraries(${filter_name} PRIVATE BZip2::BZip2)
    target_link_libraries(${filter_name} PRIVATE ZLIB::ZLIB)

    # Disable library prefix
    set_target_properties(${filter_name} PROPERTIES PREFIX "")

    # Install
    install(TARGETS ${filter_name} DESTINATION ${MIRAGE_PLUGIN_DIR})

    # Add to list of enabled filters
    list(APPEND FILTERS_ENABLED ${filter_short})
    set(FILTERS_ENABLED ${FILTERS_ENABLED} PARENT_SCOPE)
else()
    # Add to list of disabled filters
    list(APPEND FILTERS_DISABLED ${filter_short})
    set(FILTERS_DISABLED ${FILTERS_DISABLED} PARENT_SCOPE)
endif()

=== filters/filter-ecm/CMakeLists.txt ===
set(filter_short "ecm")
set(filter_name "filter-${filter_short}")

project(${filter_name} LANGUAGES C)

# Build
if(TRUE)
    # Filter
    add_library(${filter_name} MODULE
        filter-stream.c
        plugin.c
    )
    target_link_libraries(${filter_name} mirage)

    # Disable library prefix
    set_target_properties(${filter_name} PROPERTIES PREFIX "")

    # Install
    install(TARGETS ${filter_name} DESTINATION ${MIRAGE_PLUGIN_DIR})

    # Install MIME type
    intltool_merge("-x" ${CMAKE_SOURCE_DIR}/po ${PROJECT_SOURCE_DIR}/libmirage-${filter_short}.xml.in libmirage-${filter_short}.xml)

    install(FILES ${PROJECT_BINARY_DIR}/libmirage-${filter_short}.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages)
    if(POST_INSTALL_HOOKS)
        install(CODE "execute_process (COMMAND ${UPDATE_MIME_DATABASE_EXECUTABLE} ${CMAKE_INSTALL_FULL_DATADIR}/mime)")
    endif()

    # Add to list of enabled filters
    list(APPEND FILTERS_ENABLED ${filter_short})
    set(FILTERS_ENABLED ${FILTERS_ENABLED} PARENT_SCOPE)
else()
    # Add to list of disabled filters
    list(APPEND FILTERS_DISABLED ${filter_short})
    set(FILTERS_DISABLED ${FILTERS_DISABLED} PARENT_SCOPE)
endif()

=== filters/filter-gzip/CMakeLists.txt ===
set(filter_short "gzip")
set(filter_name "filter-${filter_short}")

project(${filter_name} LANGUAGES C)

# Dependencies
find_package(ZLIB 1.2.4 QUIET)

# Build
if(ZLIB_FOUND)
    # Filter
    add_library(${filter_name} MODULE
        filter-stream.c
        plugin.c
    )
    target_link_libraries(${filter_name} PRIVATE mirage)
    target_link_libraries(${filter_name} PRIVATE ZLIB::ZLIB)

    # Disable library prefix
    set_target_properties(${filter_name} PROPERTIES PREFIX "")

    # Install
    install(TARGETS ${filter_name} DESTINATION ${MIRAGE_PLUGIN_DIR})

    # Add to list of enabled filters
    list(APPEND FILTERS_ENABLED ${filter_short})
    set(FILTERS_ENABLED ${FILTERS_ENABLED} PARENT_SCOPE)
else()
    # Add to list of disabled filters
    list(APPEND FILTERS_DISABLED ${filter_short})
    set(FILTERS_DISABLED ${FILTERS_DISABLED} PARENT_SCOPE)
endif()

=== filters/filter-macbinary/CMakeLists.txt ===
set(filter_short "macbinary")
set(filter_name "filter-${filter_short}")

project(${filter_name} LANGUAGES C)

# Build
if(TRUE)
    # Filter
    add_library(${filter_name} MODULE
        filter-stream.c
        plugin.c
        ../filter-dmg/resource-fork.c
        ../filter-dmg/adc.c
    )
    target_link_libraries(${filter_name} mirage)

    # Disable library prefix
    set_target_properties(${filter_name} PROPERTIES PREFIX "")

    # Install
    install(TARGETS ${filter_name} DESTINATION ${MIRAGE_PLUGIN_DIR})

    # Add to list of enabled filters
    list(APPEND FILTERS_ENABLED ${filter_short})
    set(FILTERS_ENABLED ${FILTERS_ENABLED} PARENT_SCOPE)
else()
    # Add to list of disabled filters
    list(APPEND FILTERS_DISABLED ${filter_short})
    set(FILTERS_DISABLED ${FILTERS_DISABLED} PARENT_SCOPE)
endif()

=== filters/filter-xz/CMakeLists.txt ===
set(filter_short "xz")
set(filter_name "filter-${filter_short}")

project(${filter_name} LANGUAGES C)

# Dependencies
pkg_check_modules(LIBLZMA liblzma>=5.0.0 IMPORTED_TARGET)

# Build
if(LIBLZMA_FOUND)
    # Filter
    add_library(${filter_name} MODULE
        filter-stream.c
        plugin.c
    )
    target_link_libraries(${filter_name} PRIVATE mirage)
    target_link_libraries(${filter_name} PRIVATE PkgConfig::LIBLZMA)

    # Disable library prefix
    set_target_properties(${filter_name} PROPERTIES PREFIX "")

    # Install
    install(TARGETS ${filter_name} DESTINATION ${MIRAGE_PLUGIN_DIR})

    # Add to list of enabled filters
    list(APPEND FILTERS_ENABLED ${filter_short})
    set(FILTERS_ENABLED ${FILTERS_ENABLED} PARENT_SCOPE)
else()
    # Add to list of disabled filters
    list(APPEND FILTERS_DISABLED ${filter_short})
    set(FILTERS_DISABLED ${FILTERS_DISABLED} PARENT_SCOPE)
endif()

=== images/image-b6t/CMakeLists.txt ===
set(image_short "b6t")
set(image_name "image-${image_short}")

project(${filter_name} LANGUAGES C)

# Build
if(TRUE)
    add_library(${image_name} MODULE
        parser.c
        plugin.c
    )
    target_link_libraries(${image_name} PRIVATE mirage)

    # Disable library prefix
    set_target_properties(${image_name} PROPERTIES PREFIX "")

    # Install
    install(TARGETS ${image_name} DESTINATION ${MIRAGE_PLUGIN_DIR})

    # Install MIME type
    intltool_merge("-x" ${CMAKE_SOURCE_DIR}/po ${PROJECT_SOURCE_DIR}/libmirage-${image_short}.xml.in libmirage-${image_short}.xml)

    install(FILES ${PROJECT_BINARY_DIR}/libmirage-${image_short}.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages)
    if(POST_INSTALL_HOOKS)
        install(CODE "execute_process (COMMAND ${UPDATE_MIME_DATABASE_EXECUTABLE} ${CMAKE_INSTALL_FULL_DATADIR}/mime)")
    endif()

    # Add to list of enabled image formats
    list(APPEND IMAGE_FORMATS_ENABLED ${image_short})
    set(IMAGE_FORMATS_ENABLED ${IMAGE_FORMATS_ENABLED} PARENT_SCOPE)
else()
    # Add to list of disabled image formats
    list(APPEND IMAGE_FORMATS_DISABLED ${image_short})
    set(IMAGE_FORMATS_DISABLED ${IMAGE_FORMATS_DISABLED} PARENT_SCOPE)
endif()

=== images/image-c2d/CMakeLists.txt ===
set(image_short "c2d")
set(image_name "image-${image_short}")

project(${image_name} LANGUAGES C)

# Build
if(TRUE)
    add_library(${image_name} MODULE
        parser.c
        plugin.c
    )
    target_link_libraries(${image_name} PRIVATE mirage)

    # Disable library prefix
    set_target_properties(${image_name} PROPERTIES PREFIX "")

    # Install
    install(TARGETS ${image_name} DESTINATION ${MIRAGE_PLUGIN_DIR})

    # Install MIME type
    intltool_merge("-x" ${CMAKE_SOURCE_DIR}/po ${PROJECT_SOURCE_DIR}/libmirage-${image_short}.xml.in libmirage-${image_short}.xml)

    install(FILES ${PROJECT_BINARY_DIR}/libmirage-${image_short}.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages)
    if(POST_INSTALL_HOOKS)
        install(CODE "execute_process (COMMAND ${UPDATE_MIME_DATABASE_EXECUTABLE} ${CMAKE_INSTALL_FULL_DATADIR}/mime)")
    endif()

    # Add to list of enabled image formats
    list(APPEND IMAGE_FORMATS_ENABLED ${image_short})
    set(IMAGE_FORMATS_ENABLED ${IMAGE_FORMATS_ENABLED} PARENT_SCOPE)
else()
    # Add to list of disabled image formats
    list(APPEND IMAGE_FORMATS_DISABLED ${image_short})
    set(IMAGE_FORMATS_DISABLED ${IMAGE_FORMATS_DISABLED} PARENT_SCOPE)
endif()

=== images/image-cue/CMakeLists.txt ===
set(image_short "cue")
set(image_name "image-${image_short}")

project(${image_name} LANGUAGES C)

# Build
if(TRUE)
    add_library(${image_name} MODULE
        parser.c
        plugin.c
    )
    target_link_libraries(${image_name} PRIVATE mirage)

    # Disable library prefix
    set_target_properties(${image_name} PROPERTIES PREFIX "")

    # Install
    install(TARGETS ${image_name} DESTINATION ${MIRAGE_PLUGIN_DIR})

    # Add to list of enabled image formats
    list(APPEND IMAGE_FORMATS_ENABLED ${image_short})
    set(IMAGE_FORMATS_ENABLED ${IMAGE_FORMATS_ENABLED} PARENT_SCOPE)
else()
    # Add to list of disabled image formats
    list(APPEND IMAGE_FORMATS_DISABLED ${image_short})
    set(IMAGE_FORMATS_DISABLED ${IMAGE_FORMATS_DISABLED} PARENT_SCOPE)
endif()

=== images/image-mds/CMakeLists.txt ===
set(image_short "mds")
set(image_name "image-${image_short}")

project(${image_name} LANGUAGES C)

# Build
if(TRUE)
    add_library(${image_name} MODULE
        parser.c
        plugin.c
    )
    target_link_libraries(${image_name} PRIVATE mirage)

    # Disable library prefix
    set_target_properties(${image_name} PROPERTIES PREFIX "")

    # Install
    install(TARGETS ${image_name} DESTINATION ${MIRAGE_PLUGIN_DIR})

    # Install MIME type
    intltool_merge("-x" ${CMAKE_SOURCE_DIR}/po ${PROJECT_SOURCE_DIR}/libmirage-${image_short}.xml.in libmirage-${image_short}.xml)
    intltool_merge("-x" ${CMAKE_SOURCE_DIR}/po ${PROJECT_SOURCE_DIR}/libmirage-xmd.xml.in libmirage-xmd.xml)

    install(FILES ${PROJECT_BINARY_DIR}/libmirage-${image_short}.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages)
    install(FILES ${PROJECT_BINARY_DIR}/libmirage-xmd.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages)
    if(POST_INSTALL_HOOKS)
        install(CODE "execute_process (COMMAND ${UPDATE_MIME_DATABASE_EXECUTABLE} ${CMAKE_INSTALL_FULL_DATADIR}/mime)")
    endif()

    # Add to list of enabled image formats
    list(APPEND IMAGE_FORMATS_ENABLED ${image_short})
    set(IMAGE_FORMATS_ENABLED ${IMAGE_FORMATS_ENABLED} PARENT_SCOPE)
else()
    # Add to list of disabled image formats
    list(APPEND IMAGE_FORMATS_DISABLED ${image_short})
    set(IMAGE_FORMATS_DISABLED ${IMAGE_FORMATS_DISABLED} PARENT_SCOPE)
endif()

=== images/image-mdx/CMakeLists.txt ===
set(image_short "mdx")
set(image_name "image-${image_short}")

project(${image_name} LANGUAGES C)

# Build
if(TRUE)
    add_library(${image_name} MODULE
        parser.c
        plugin.c
    )
    target_link_libraries(${image_name} PRIVATE mirage)

    # Disable library prefix
    set_target_properties(${image_name} PROPERTIES PREFIX "")

    # Install
    install(TARGETS ${image_name} DESTINATION ${MIRAGE_PLUGIN_DIR})

    # Install MIME type
    intltool_merge("-x" ${CMAKE_SOURCE_DIR}/po ${PROJECT_SOURCE_DIR}/libmirage-${image_short}.xml.in libmirage-${image_short}.xml)

    install(FILES ${PROJECT_BINARY_DIR}/libmirage-${image_short}.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages)
    if(POST_INSTALL_HOOKS)
        install(CODE "execute_process (COMMAND ${UPDATE_MIME_DATABASE_EXECUTABLE} ${CMAKE_INSTALL_FULL_DATADIR}/mime)")
    endif()

    # Add to list of enabled image formats
    list(APPEND IMAGE_FORMATS_ENABLED ${image_short})
    set(IMAGE_FORMATS_ENABLED ${IMAGE_FORMATS_ENABLED} PARENT_SCOPE)
else()
    # Add to list of disabled image formats
    list(APPEND IMAGE_FORMATS_DISABLED ${image_short})
    set(IMAGE_FORMATS_DISABLED ${IMAGE_FORMATS_DISABLED} PARENT_SCOPE)
endif()

=== images/image-nrg/CMakeLists.txt ===
set(image_short "nrg")
set(image_name "image-${image_short}")

project(${image_name} LANGUAGES C)

# Build
if(TRUE)
    add_library(${image_name} MODULE
        parser.c
        plugin.c
    )
    target_link_libraries(${image_name} PRIVATE mirage)

    # Disable library prefix
    set_target_properties(${image_name} PROPERTIES PREFIX "")

    # Install
    install(TARGETS ${image_name} DESTINATION ${MIRAGE_PLUGIN_DIR})

    # Install MIME type
    intltool_merge("-x" ${CMAKE_SOURCE_DIR}/po ${PROJECT_SOURCE_DIR}/libmirage-${image_short}.xml.in libmirage-${image_short}.xml)

    install(FILES ${PROJECT_BINARY_DIR}/libmirage-${image_short}.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages)
    if(POST_INSTALL_HOOKS)
        install(CODE "execute_process (COMMAND ${UPDATE_MIME_DATABASE_EXECUTABLE} ${CMAKE_INSTALL_FULL_DATADIR}/mime)")
    endif()

    # Add to list of enabled image formats
    list(APPEND IMAGE_FORMATS_ENABLED ${image_short})
    set(IMAGE_FORMATS_ENABLED ${IMAGE_FORMATS_ENABLED} PARENT_SCOPE)
else()
    # Add to list of disabled image formats
    list(APPEND IMAGE_FORMATS_DISABLED ${image_short})
    set(IMAGE_FORMATS_DISABLED ${IMAGE_FORMATS_DISABLED} PARENT_SCOPE)
endif()

=== debian/changelog ===
libmirage (3.2.10-1) unstable; urgency=medium

  * New upstream version.
  * debian/appstream/net.sf.cdemu.libmirage.metainfo.xml:
    - Add 3.2.8, 3.2.9 and 3.2.10 releases.
  * debian/control:
    - Bump Standards-Version to 4.7.2.

 -- Matteo Bini <matteobin@tiepi.it>  Wed, 23 Apr 2025 13:58:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,30 +2,30 @@
 Section: libs
 Priority: optional
 Homepage: https://cdemu.sourceforge.io/
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Matteo Bini <matteobin@tiepi.it>
+Maintainer: Matteo Bini <matteobin@tiepi.it>
 Build-Depends: cmake (>= 3.7.0),
                debhelper-compat (= 13),
                gobject-introspection,
                gtk-doc-tools,
                intltool,
                libbz2-dev,
+               liblzma-dev,
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.38),
-               liblzma-dev,
                libsamplerate0-dev,
                libsndfile1-dev,
                pkgconf,
                zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
+
 
 Package: libmirage11
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Conflicts: libmirage10, libmirage9
-Replaces: libmirage10, libmirage9
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: libmirage9, libmirage10
+Replaces: libmirage9, libmirage10
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Description: CD-ROM image access library
  This is libMirage library, a CD-ROM image access library, and part of the
@@ -35,6 +35,7 @@
  The aim of libMirage is to provide uniform access to the data stored in
  different image formats, by creating a representation of disc stored in image
  file, which is based on GObjects.
+
 
 Package: gir1.2-mirage-3.2
 Section: introspection
@@ -49,20 +50,22 @@
  .
  This package provides typelib files.
 
+
 Package: libmirage-dev
 Section: libdevel
 Architecture: any
 Provides: gir1.2-mirage-3.2-dev (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
-Depends: gir1.2-mirage-3.2 (= ${binary:Version}),
-         libmirage11 (= ${binary:Version}),
-         ${misc:Depends}
+Depends: ${misc:Depends},
+         gir1.2-mirage-3.2 (= ${binary:Version}),
+         libmirage11 (= ${binary:Version})
 Description: CD-ROM image access library development files
  libMirage is a CD-ROM image access library, part of the CDEmu suite,
  a free, GPL CD/DVD-ROM device emulator for Linux.
  .
  This package contains the files needed to compile and link programs which
  use libMirage.
+
 
 Package: libmirage-doc
 Section: doc

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#export DH_VERBOSE=1


override_dh_auto_configure:
	dh_auto_configure -- \
		-DPOST_INSTALL_HOOKS:BOOL=OFF \
		-DGTKDOC_ENABLED=$(if $(filter libmirage-doc,$(shell dh_listpackages)),ON,OFF)

override_dh_makeshlibs:
	dh_makeshlibs --exclude="libmirage-3.2"

override_dh_shlibdeps:
	dh_shlibdeps --exclude="libmirage-3.2"

%:
	dh $@ --with gir

=== debian/watch ===
version=4
http://sf.net/cdemu/ @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
